import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, OnInit } from '@angular/core';
import { ValidatorService } from '../../services/validator.service';
import * as i0 from "@angular/core";
export declare class EditorWrapperComponent implements OnInit, AfterViewInit {
    private cdr;
    private validator;
    hideResponsePopup: boolean;
    nextQuestion: boolean;
    openPortal: 'ASSESSMENT_IMPORT' | 'RESPONSIBILITY_CHECKPOINT' | '';
    openResponsePopup(): void;
    closeResponsePopup(): void;
    openNextQuestion(): void;
    closeNextQuestion(): void;
    questionIndex: any;
    question: any;
    GRS: any;
    service: any;
    editorMode: any;
    validQuestionData: EventEmitter<any>;
    responseChoice: any;
    errorPresent: boolean;
    viewMode: string;
    deleteQuestion: EventEmitter<number>;
    copyQuestion: EventEmitter<number>;
    questionContainer: ElementRef;
    constructor(cdr: ChangeDetectorRef, validator: ValidatorService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    openResponseChoice(): void;
    closeThis(): void;
    callDelete(): void;
    callCopy(): void;
    /**
     * Adds new option for a question
     * @param choiceIndex Index of option after which new option should be added
     * @param type Unique identifier to set id of newly created options
     */
    addOption({ choiceIndex, type }: any): void;
    /**
     * Deletes a particular option
     * @param choiceIndex Index of option after which new option should be added
     * @param type Unique identifier to set id of newly created options
     */
    deleteOption({ choiceIndex, type }: any): void;
    deleteColumn({ columnIndex, type }: any): void;
    addColumn({ columnIndex, type }: any): void;
    /**
     * Sets focus to updated option
     * @param type Unique identifier to set id of newly created options
     * @param choiceIndex Index of option after which new option should be added
     */
    setFocus(type: string, choiceIndex: number): void;
    /**
     * Operation on click of save button
     */
    checkForValidationStatus(mode?: any): Promise<void>;
    insertResponseSet(evt: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EditorWrapperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EditorWrapperComponent, "app-editor-wrapper", never, { "openPortal": { "alias": "openPortal"; "required": false; }; "questionIndex": { "alias": "questionIndex"; "required": false; }; "question": { "alias": "question"; "required": false; }; "GRS": { "alias": "GRS"; "required": false; }; "service": { "alias": "service"; "required": false; }; "editorMode": { "alias": "editorMode"; "required": false; }; }, { "validQuestionData": "validQuestionData"; "deleteQuestion": "deleteQuestion"; "copyQuestion": "copyQuestion"; }, never, never, false, never>;
}
